#ifndef CHILDPROCESS_H_
#define CHILDPROCESS_H_

#include "globals.h"

using namespace std;

class ChildProcess
{
public:
    ChildProcess(int *fd) : fd(fd) {}
    virtual ~ChildProcess() {}

    /**
     * Read the HTML rows from the pipe and write an
     * HTML table in a complete HTML page to stdout.
     */
    void make_table();

private:
    int *fd;  // array of pipe file ids
};

#endif /* CHILDPROCESS_H_ */
