#ifndef PARENTPROCESS_H_
#define PARENTPROCESS_H_

#include "globals.h"

using namespace std;

class ParentProcess
{
public:
    ParentProcess(int *fd,  pid_t pid) : fd(fd), pid(pid) {}
    virtual ~ParentProcess() {}

    /**
     * Read the CSV data from stdin and write
     * its lines as HTML rows to the pipe.
     */
    void read_csv();

    /**
     * Write <td>field</td> to the pipe.
     */
void write_td(string field);

private:
    int *fd;    // array of pipe file ids
    pid_t pid;  // child process id
};

#endif /* PARENTPROCESS_H_ */
